Bug 1082 - [UPDATE REQUEST] [UPSTREAM UPDATE] mrtg
: [UPDATE REQUEST] [UPSTREAM UPDATE] mrtg
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 12:23 MSK by Andrew Lukoshko
Modified: 2012-11-23 13:14 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-14 12:23:35 MSK
Update for mrtg from RHEL6 upstream.

Advisory:
* Prior to this update, the MRTG tool did not handle the socket6 correctly. As a
consequence, MRTG reported errors when run on a system with an IPv6 network
interface due to a socket conflict. This update modifies the underlying code to
socket6 as expected.

* Prior to this update, changing the "kMG" keyword in the MRTG configuration
could cause the labels on the y-axis to overlap the main area of the generated
chart. With this update, an upstream patch has been applied to address this
issue, and changing the "kMG" keyword in the configuration no longer leads to
the incorrect rendering of the resulting charts.

* Prior to this update, the wrong value was returned from the IBM Fibrechannel
switch when using the ifSpeed interface. As a consequence, mrtg cfgmaker failed
to use ifHighSpeed on IBM FibreChannel switches. This update modifies the
underlying code to return the correct value.
http://rhn.redhat.com/errata/RHBA-2012-1449.html

Build lists:
https://abf.rosalinux.ru/build_lists/845521
https://abf.rosalinux.ru/build_lists/845522

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-22 18:01:07 MSK
mrtg-2.16.2-7.res6
************************** RHEL Advisory *******************
* Prior to this update, the MRTG tool did not handle the socket6 correctly. As a
consequence, MRTG reported errors when run on a system with an IPv6 network
interface due to a socket conflict. This update modifies the underlying code to
socket6 as expected.

* Prior to this update, changing the "kMG" keyword in the MRTG configuration
could cause the labels on the y-axis to overlap the main area of the generated
chart. With this update, an upstream patch has been applied to address this
issue, and changing the "kMG" keyword in the configuration no longer leads to
the incorrect rendering of the resulting charts.

* Prior to this update, the wrong value was returned from the IBM Fibrechannel
switch when using the ifSpeed interface. As a consequence, mrtg cfgmaker failed
to use ifHighSpeed on IBM FibreChannel switches. This update modifies the
underlying code to return the correct value.
************************************************************
QA Verified